2019-12-16 01:11 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001849Spring engineGeneralpublic2010-02-22 20:13
ReporterEvil4Zerggin 
Assigned ToKloot 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.81.1.3 
Target VersionFixed in Version0.81.0.0+git 
Summary0001849: Un-Hardcode Accuracy/Sprayangle Bonuses With XP
Descriptionhttp://springrts.com/phpbb/viewtopic.php?f=21&t=22244

Currently weapons get hardcoded bonuses to accuracy/sprayAngle with XP. Specifically, spreads can be reduced to:

BeamLaser: 70%
bombdropper: 90%
Cannon: 90%
DGunWeapon: 50%
EmgCannon (not used IIRC): 50%
FlameThrower: 20%
LaserCannon: 70%
LightningCannon: 50%
MissileLauncher: 50%
Rifle (probably not used): 90%
StarburstLauncher (probably irrelevant): 70%

Could this be exposed as a weapon tag?
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0004678

Kloot (developer)

Done.

For lack of a better name, the tag is named "ownerExpAccWeight".
+Notes

-Issue History
Date Modified Username Field Change
2010-02-21 19:40 Evil4Zerggin New Issue
2010-02-22 20:12 Kloot Note Added: 0004678
2010-02-22 20:13 Kloot Status new => resolved
2010-02-22 20:13 Kloot Fixed in Version => 0.81.0.0+git
2010-02-22 20:13 Kloot Resolution open => fixed
2010-02-22 20:13 Kloot Assigned To => Kloot
+Issue History